from PyQt5 import QtCore

class SignalBlocker:

    def __init__(self):
        self.loop = QtCore.QEventLoop()
        self.args = None

    def slot(self, *args):
        self.args = args
        self.loop.quit()

def main():
    obj = QtCore.QObject()
    blocker = SignalBlocker()
    obj.destroyed.connect(blocker.slot)

    obj.deleteLater()
    blocker.loop.exec_()

app = QtCore.QCoreApplication([])
main()
